<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="getdownloaddiv.aspx.cs" Inherits="TotCms.Web.Admin.label.getdownloaddiv" ValidateRequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
  <title>获取下载文本列表(Div排版)</title>
  <link href="css.css" rel="stylesheet" type="text/css" />
  <script src="../js/common.js" type="text/javascript"></script>
  <script type="text/javascript"> 
    function GetValue(){
      var ret='';
	    var CategoryId=document.getElementById('CategoryId').value;	
	    var Sort=document.getElementById('Sort').value;
	    var ArticleAttr=document.getElementById('ArticleAttr').value;
	    var CharMax=checkInt(document.getElementById('CharMax').value);
	    //var LinkStyle=document.getElementById('LinkStyle').value;
	    //var TableWidth=document.getElementById('TableWidth').value;
      //var LineHeight=document.getElementById('LineHeight').value;
	    var RowsNum=document.getElementById('RowsNum').value;
	    //var ColsNum=document.getElementById('ColsNum').value;
      var TitlePrefix=document.getElementById('TitlePrefix').value;
	    TitlePrefix=TitlePrefix.replace(/\'/g,"\'");
	    TitlePrefix=TitlePrefix.replace(/\,/g,"");
	    var ShowTime=document.getElementById('ShowTime').value;	    

	    //LinkStyle=LinkStyle.replace(/\,/g,"");		
	    ret='GetDownloadDiv(';
	    ret+=CategoryId+',';
	    ret+=Sort+',';
	    ret+=ArticleAttr+',';	
	    ret+=CharMax+',';
	    //ret+=LinkStyle+',';
	    //ret+=TableWidth+',';
        //ret+=LineHeight+',';
	    ret+=RowsNum+',';
	    //ret+=ColsNum+',';
        ret+=TitlePrefix+',';
	    ret+=ShowTime+')';	    
	    return ret;
    }
    function retValue(){
	    var r=GetValue();
	    window.opener.document.form1.Content.value=r;
	    window.close();
    }
    function Preview(){
      var r=GetValue();
      r=r.replace('(',',');
      r=r.replace(')','');
      r=r.replace('"','');
		  document.getElementById('preframe').src='label_privew.aspx?content='+escape(r);
    }
    function checkInt(obj){
	    var reg = /^(\d{1,4})$/; 
	    if(obj!="" && obj.match(reg)==null){
		    return 0;
	    }else{
	      return obj;
	    }
    }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <fieldset style="text-align:center; ">
<legend>获取文本列表(Div排版)</legend>
<table width="400" border="0" align="center" cellpadding="1" cellspacing="5">
  <tr>
    <td width="113"><div align="left">栏目:</div></td>
    <td width="268">
      <div align="left">
        <asp:Label ID="CategoryTitle" runat="server" Text="选择栏目"></asp:Label>
        <asp:TextBox ID="CategoryId" runat="server" CssClass="hidden">0</asp:TextBox>
          <input id="Button4" type="button" value="..." onclick="popupWindow('../Category_Tree.aspx?datamodule=<%=(int)TotCms.FrameWork.Enums.DataModule.Download %>','category_tree',400,300,1)" />
      </div></td>
  </tr>
  <tr>
    <td><div align="left">排序:</div></td>
    <td><div align="left">   
      <asp:DropDownList ID="Sort" runat="server">
        <asp:ListItem>id</asp:ListItem>
        <asp:ListItem Value="ModiTime">日期</asp:ListItem>
        <asp:ListItem Value="Hits">点击</asp:ListItem>
        <asp:ListItem Value="SortId">排序</asp:ListItem>
        <asp:ListItem Value="Random">随机</asp:ListItem>
      </asp:DropDownList>
</div></td>
  </tr>
  <tr>
    <td><div align="left">属性:</div></td>
    <td><div align="left">
      <asp:DropDownList ID="ArticleAttr" runat="server">
        <asp:ListItem Value="All">所有</asp:ListItem>
        <asp:ListItem Value="Recommend">推荐</asp:ListItem>
        <asp:ListItem Value="ToTop">置顶</asp:ListItem>
      </asp:DropDownList>
    </div></td>
  </tr>
  <tr>
    <td><div align="left">文字个数限制:</div></td>
    <td>
        <div align="left">
          <asp:TextBox ID="CharMax" runat="server" CssClass="input_num">20</asp:TextBox>
      </div></td>
  </tr>
  <tr>
    <td align="left">行数：</td>
    <td align="left">
      <asp:TextBox ID="RowsNum" runat="server">10</asp:TextBox>
            </td>
  </tr>
  <tr>
    <td align="left">标题前缀：</td>
    <td align="left">
      <asp:TextBox ID="TitlePrefix" runat="server">·</asp:TextBox>
            </td>
  </tr>
  <tr>
    <td align="left">显示日期：</td>
    <td align="left">
      <asp:DropDownList ID="ShowTime" runat="server">
        <asp:ListItem Value="0">否</asp:ListItem>
        <asp:ListItem Value="1">是</asp:ListItem>
      </asp:DropDownList>
            </td>
  </tr>
  <tr>
    <td colspan="2">
      <div align="center">
        <input id="Ok" type="submit" value="确定" onclick="retValue()" />
        &nbsp;
        <input type="button"  onclick="window.close();" value="取消" />
    &nbsp;<input id="Button1" type="button" value="预览" onclick="Preview()" /></div></td>
  </tr>
</table>
 
</fieldset>
<fieldset>
  <legend>预览</legend>
  <iframe width="99%" frameborder="0" id="preframe" name="preframe" src="preview.htm"></iframe>
</fieldset>
    </form>
</body>
</html>
